Show / Hide Table of Contents

# Class PluginLog

##### Inheritance

System.Object
PluginLog

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Plugin

###### Assembly: Dalamud.dll

##### Syntax

    public static class PluginLog

### Methods

| Improve this Doc View Source

#### Log(String, Object[])

Log a templated message to the in-game debug log.

##### Declaration

    public static void Log(string messageTemplate, params object[] values)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | messageTemplate | The message template.
System.Object[] | values | Values to log.

| Improve this Doc View Source

#### LogError(Exception, String, Object[])

Log a templated error message to the in-game debug log.

##### Declaration

    public static void LogError(Exception exception, string messageTemplate, params object[] values)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Exception | exception | The exception that caused the error.
System.String | messageTemplate | The message template.
System.Object[] | values | Values to log.

| Improve this Doc View Source

#### LogError(String, Object[])

Log a templated error message to the in-game debug log.

##### Declaration

    public static void LogError(string messageTemplate, params object[] values)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | messageTemplate | The message template.
System.Object[] | values | Values to log.